using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class CarScript : MonoBehaviour
{
    public delegate void OnSignCollisionDelegate(Monument sign);
    public static event OnSignCollisionDelegate signCollisionDelegate = null;

    void OnTriggerEnter2D(Collider2D collider)
    {
        var monument = collider.gameObject.GetComponent<SignScript>().monument;
        signCollisionDelegate(monument);
    }
}
